<!DOCTYPE html>
<html>

<head>
    <title>iHouzz node configuration</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="bs.css" type="text/css">
    <link rel="stylesheet" href="bsg.css" type="text/css">
    <script src="jq.js"></script>
    <script src="bs.js"></script>
</head>

<body>
    <div class="container-fluid p-5 bg-primary text-white text-center">
        <h1>iHouzz node config page</h1>
        <p>Relay setup page...</p>
    </div>

    <div class="container mt-5">
        <div class="row">
            <div class="col-sm-4">
                <h3>Details</h3>
                <p>More details informations, not sure what will be this for</p>
                <p>But stil it is good idea to keep it that way</p>
            </div>
            <div class="col-sm-8">
                <form action="/post" method="post">
                    <div class="form-floating mb-3 mt-3">
                        <input class="form-control" list="ssid_list" id="ssid" placeholder="Enter SSID" name="ssid">
                        <label for="ssid">Select SSID</label>
                        <datalist id="ssid_list">
                            <option value="">refreshing...</option>
                        </datalist>
                    </div>

                    <div class="form-floating mt-3 mb-3">
                        <input type="password" class="form-control" id="password" placeholder="Enter password" name="pass">
                        <label for="password">Password</label>
                    </div>

                    <button type="submit" class="btn btn-primary">Save</button>
                </form>
            </div>
        </div>
    </div>
</body>

<script>
    function updateSSID() {
        $.ajax({
            url: "ssidlist",
            type: 'GET',
            cache: false,
            success: function (result) {
                if (result) {

                    result.list.sort(function (a, b) {
                        return b['rssi'] - a['rssi'];
                    });

                    let listObj = $('#ssid_list');
                    listObj.empty();

                    result.list.forEach(element => {
                        $("<option></option>").attr({ value: element["ssid"] }).html("[" + element["rssi"] + "] " + element["ssid"]).appendTo(listObj);
                    });
                }

            },
            error: function () {
                console.log("Warning! Node is unavailable!");
            }
        });

    }
    $(window).load(function () {
        $.ajax({
            url: "config",
            type: 'GET',
            cache: false,
            success: function (result) {
                if (result) {
                    $('#ssid').prop({value:result['wifi_ssid']});
                    $('#password').prop({value:result['wifi_pass']});
                }
            },
            error: function () {
                console.log("Warning! Node is unavailable!");
            }
        });
        updateSSID();
        setInterval(updateSSID, 10000);
    });
</script>

</html>